<?php
//Incluimos conexion a la base de trader_cdlrisefall3methods
require "../config/Conexion.php";

Class Slider
{
  //Implementando nuestro constructor
  public function __construct()
  {


  }
      public function insertar($imagen,$tipo_imagen) {
        $sql = "INSERT INTO slider (nombre_imagen,tipo_imagen) 
                VALUES ('$imagen','$tipo_imagen')";
        return ejecutarConsulta($sql);
    }

    // Método para editar
    public function editar($idslider, $imagen, $tipo_imagen) {
        $sql = "UPDATE slider SET 
                nombre_imagen = '$imagen',
                tipo_imagen ='$tipo_imagen'                 
                WHERE idslider = '$idslider'";
        return ejecutarConsulta($sql);
    }

    public function listarslider()
    {
      $sql="SELECT * FROM slider ";
      return ejecutarConsulta($sql);

    }

    public function mostrar($idslider)
    {
      $sql="SELECT * FROM slider where idslider='$idslider'";
      return ejecutarConsultaSimpleFila($sql);

    }

    //Implementamos un metodo para eliminar registro
    public function eliminar($idslider)
    {
      $sql="DELETE FROM slider where idslider='$idslider'";
      return ejecutarConsulta($sql);
    }

    

  }

 ?>